| Kea 3.0.2-git

Specifies supported observation types.

The list covers all supported types of observations. More...

## Typedefs
typedef std::pair< isc::util::int128_t, SampleClock::time_point > | isc::stats::BigIntegerSample
| BigInteger (implemented as signed 128-bit integer).
typedef std::pair< StatsDuration, SampleClock::time_point > | isc::stats::DurationSample
| Time Duration.
typedef std::pair< double, SampleClock::time_point > | isc::stats::FloatSample
| Float (implemented as double precision).
typedef std::pair< int64_t, SampleClock::time_point > | isc::stats::IntegerSample
| Integer (implemented as signed 64-bit integer).
typedef std::pair< std::string, SampleClock::time_point > | isc::stats::StringSample
| String.

## Detailed Description

The list covers all supported types of observations.

## Typedef Documentation

## ◆ BigIntegerSample

typedef std::pair<isc::util::int128_t, SampleClock::time_point> isc::stats::BigIntegerSample

BigInteger (implemented as signed 128-bit integer).

Definition at line 63 of file observation.h.

## ◆ DurationSample

typedef std::pair<StatsDuration, SampleClock::time_point> isc::stats::DurationSample

Time Duration.

Definition at line 69 of file observation.h.

## ◆ FloatSample

typedef std::pair<double, SampleClock::time_point> isc::stats::FloatSample

Float (implemented as double precision).

Definition at line 66 of file observation.h.

## ◆ IntegerSample

typedef std::pair<int64_t, SampleClock::time_point> isc::stats::IntegerSample

Integer (implemented as signed 64-bit integer).

Definition at line 60 of file observation.h.

## ◆ StringSample

typedef std::pair<std::string, SampleClock::time_point> isc::stats::StringSample

String.

Definition at line 72 of file observation.h.